For 2) + 3) I have the same question!

Would be great to receive an update soon. 7.0.337 is old enough.